> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mmg-sdk.wetechnologygroup.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mmg-sdk.wetechnologygroup.com/_mcp/server.

# Merchant Initiated Payment API

POST https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/payment
Content-Type: application/json

Reference: https://mmg-sdk.wetechnologygroup.com/api-reference/transactions/merchant-initiated-payment-api

## Servers

- `https://mwallet.mmgtest.net/olive/publisher/v1` (Sandbox Environment, default)
- `https://ecommerce.mymmg.gy/olive/publisher/v1` (Live Environment)

## Request

### Query parameters

- `merchant_msisdn` (string, optional)

### Headers

- `x-wss-mid` (string, required)
- `x-wss-mkey` (string, required)
- `x-wss-msecret` (string, required)
- `x-api-key` (string, required)
- `x-wss-correlationid` (string, required)
- `x-wss-token` (string, required)

### Body (application/json)

This endpoint expects an object.

- `amount` (string, optional)
- `currency` (string, optional)
- `subType` (string, optional)
- `type` (string, optional)
- `debitParty` (list of EMerchantInitiatedTransactionsPaymentPostRequestBodyContentApplicationJsonSchemaDebitPartyItems, optional)
- `creditParty` (list of EMerchantInitiatedTransactionsPaymentPostRequestBodyContentApplicationJsonSchemaCreditPartyItems, optional)

## Response

### 200

Successful Response

## Types

### EMerchantInitiatedTransactionsPaymentPostRequestBodyContentApplicationJsonSchemaDebitPartyItems

- `key` (string, optional)
- `value` (string, optional)

### EMerchantInitiatedTransactionsPaymentPostRequestBodyContentApplicationJsonSchemaCreditPartyItems

- `key` (string, optional)
- `value` (string, optional)

## Examples

**Request**

```json
{
  "amount": "500.00",
  "currency": "GYD",
  "subType": "merinipmt",
  "type": "transfer",
  "debitParty": [
    {
      "key": "accountid",
      "value": "{{CUSTOMER_MSISDN}}"
    }
  ],
  "creditParty": [
    {
      "key": "accountid",
      "value": "{{x-wss-mid}}"
    }
  ]
}
```

**Response**

```json
{
  "normalWalletAvailableBalance": "4500",
  "bonusWalletAvailableBalance": null,
  "serverCorrelationId": null,
  "status": "pending",
  "pendingReason": "approvalrequired",
  "notificationMethod": "polling",
  "objectReference": "20373216452995",
  "expiryTime": "2025-11-01T22:48:48.327Z",
  "executionId": "20373216452995"
}
```

**SDK Code**

```python Transactions_merchantInitiatedPaymentApi_example
import requests

url = "https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/payment"

querystring = {"merchant_msisdn":"{{x-wss-mid}}"}

payload = {
    "amount": "500.00",
    "currency": "GYD",
    "subType": "merinipmt",
    "type": "transfer",
    "debitParty": [
        {
            "key": "accountid",
            "value": "{{CUSTOMER_MSISDN}}"
        }
    ],
    "creditParty": [
        {
            "key": "accountid",
            "value": "{{x-wss-mid}}"
        }
    ]
}
headers = {
    "x-wss-mid": "{{x-wss-mid}}",
    "x-wss-mkey": "{{x-wss-mkey}}",
    "x-wss-msecret": "{{x-wss-msecret}}",
    "x-api-key": "{{x-api-key}}",
    "x-wss-correlationid": "{{$randomUUID}}",
    "x-wss-token": "{{x-wss-token}}",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Transactions_merchantInitiatedPaymentApi_example
const url = 'https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/payment?merchant_msisdn=%7B%7Bx-wss-mid%7D%7D';
const options = {
  method: 'POST',
  headers: {
    'x-wss-mid': '{{x-wss-mid}}',
    'x-wss-mkey': '{{x-wss-mkey}}',
    'x-wss-msecret': '{{x-wss-msecret}}',
    'x-api-key': '{{x-api-key}}',
    'x-wss-correlationid': '{{$randomUUID}}',
    'x-wss-token': '{{x-wss-token}}',
    'Content-Type': 'application/json'
  },
  body: '{"amount":"500.00","currency":"GYD","subType":"merinipmt","type":"transfer","debitParty":[{"key":"accountid","value":"{{CUSTOMER_MSISDN}}"}],"creditParty":[{"key":"accountid","value":"{{x-wss-mid}}"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Transactions_merchantInitiatedPaymentApi_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/payment?merchant_msisdn=%7B%7Bx-wss-mid%7D%7D"

	payload := strings.NewReader("{\n  \"amount\": \"500.00\",\n  \"currency\": \"GYD\",\n  \"subType\": \"merinipmt\",\n  \"type\": \"transfer\",\n  \"debitParty\": [\n    {\n      \"key\": \"accountid\",\n      \"value\": \"{{CUSTOMER_MSISDN}}\"\n    }\n  ],\n  \"creditParty\": [\n    {\n      \"key\": \"accountid\",\n      \"value\": \"{{x-wss-mid}}\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-wss-mid", "{{x-wss-mid}}")
	req.Header.Add("x-wss-mkey", "{{x-wss-mkey}}")
	req.Header.Add("x-wss-msecret", "{{x-wss-msecret}}")
	req.Header.Add("x-api-key", "{{x-api-key}}")
	req.Header.Add("x-wss-correlationid", "{{$randomUUID}}")
	req.Header.Add("x-wss-token", "{{x-wss-token}}")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Transactions_merchantInitiatedPaymentApi_example
require 'uri'
require 'net/http'

url = URI("https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/payment?merchant_msisdn=%7B%7Bx-wss-mid%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-wss-mid"] = '{{x-wss-mid}}'
request["x-wss-mkey"] = '{{x-wss-mkey}}'
request["x-wss-msecret"] = '{{x-wss-msecret}}'
request["x-api-key"] = '{{x-api-key}}'
request["x-wss-correlationid"] = '{{$randomUUID}}'
request["x-wss-token"] = '{{x-wss-token}}'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"amount\": \"500.00\",\n  \"currency\": \"GYD\",\n  \"subType\": \"merinipmt\",\n  \"type\": \"transfer\",\n  \"debitParty\": [\n    {\n      \"key\": \"accountid\",\n      \"value\": \"{{CUSTOMER_MSISDN}}\"\n    }\n  ],\n  \"creditParty\": [\n    {\n      \"key\": \"accountid\",\n      \"value\": \"{{x-wss-mid}}\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Transactions_merchantInitiatedPaymentApi_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/payment?merchant_msisdn=%7B%7Bx-wss-mid%7D%7D")
  .header("x-wss-mid", "{{x-wss-mid}}")
  .header("x-wss-mkey", "{{x-wss-mkey}}")
  .header("x-wss-msecret", "{{x-wss-msecret}}")
  .header("x-api-key", "{{x-api-key}}")
  .header("x-wss-correlationid", "{{$randomUUID}}")
  .header("x-wss-token", "{{x-wss-token}}")
  .header("Content-Type", "application/json")
  .body("{\n  \"amount\": \"500.00\",\n  \"currency\": \"GYD\",\n  \"subType\": \"merinipmt\",\n  \"type\": \"transfer\",\n  \"debitParty\": [\n    {\n      \"key\": \"accountid\",\n      \"value\": \"{{CUSTOMER_MSISDN}}\"\n    }\n  ],\n  \"creditParty\": [\n    {\n      \"key\": \"accountid\",\n      \"value\": \"{{x-wss-mid}}\"\n    }\n  ]\n}")
  .asString();
```

```php Transactions_merchantInitiatedPaymentApi_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/payment?merchant_msisdn=%7B%7Bx-wss-mid%7D%7D', [
  'body' => '{
  "amount": "500.00",
  "currency": "GYD",
  "subType": "merinipmt",
  "type": "transfer",
  "debitParty": [
    {
      "key": "accountid",
      "value": "{{CUSTOMER_MSISDN}}"
    }
  ],
  "creditParty": [
    {
      "key": "accountid",
      "value": "{{x-wss-mid}}"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '{{x-api-key}}',
    'x-wss-correlationid' => '{{$randomUUID}}',
    'x-wss-mid' => '{{x-wss-mid}}',
    'x-wss-mkey' => '{{x-wss-mkey}}',
    'x-wss-msecret' => '{{x-wss-msecret}}',
    'x-wss-token' => '{{x-wss-token}}',
  ],
]);

echo $response->getBody();
```

```csharp Transactions_merchantInitiatedPaymentApi_example
using RestSharp;

var client = new RestClient("https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/payment?merchant_msisdn=%7B%7Bx-wss-mid%7D%7D");
var request = new RestRequest(Method.POST);
request.AddHeader("x-wss-mid", "{{x-wss-mid}}");
request.AddHeader("x-wss-mkey", "{{x-wss-mkey}}");
request.AddHeader("x-wss-msecret", "{{x-wss-msecret}}");
request.AddHeader("x-api-key", "{{x-api-key}}");
request.AddHeader("x-wss-correlationid", "{{$randomUUID}}");
request.AddHeader("x-wss-token", "{{x-wss-token}}");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"amount\": \"500.00\",\n  \"currency\": \"GYD\",\n  \"subType\": \"merinipmt\",\n  \"type\": \"transfer\",\n  \"debitParty\": [\n    {\n      \"key\": \"accountid\",\n      \"value\": \"{{CUSTOMER_MSISDN}}\"\n    }\n  ],\n  \"creditParty\": [\n    {\n      \"key\": \"accountid\",\n      \"value\": \"{{x-wss-mid}}\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Transactions_merchantInitiatedPaymentApi_example
import Foundation

let headers = [
  "x-wss-mid": "{{x-wss-mid}}",
  "x-wss-mkey": "{{x-wss-mkey}}",
  "x-wss-msecret": "{{x-wss-msecret}}",
  "x-api-key": "{{x-api-key}}",
  "x-wss-correlationid": "{{$randomUUID}}",
  "x-wss-token": "{{x-wss-token}}",
  "Content-Type": "application/json"
]
let parameters = [
  "amount": "500.00",
  "currency": "GYD",
  "subType": "merinipmt",
  "type": "transfer",
  "debitParty": [
    [
      "key": "accountid",
      "value": "{{CUSTOMER_MSISDN}}"
    ]
  ],
  "creditParty": [
    [
      "key": "accountid",
      "value": "{{x-wss-mid}}"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/payment?merchant_msisdn=%7B%7Bx-wss-mid%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```